Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
etc /
rc5.d /
Delete
Unzip
Name
Size
Permission
Date
Action
K01apache-htcacheclean
2.16
KB
-rwxr-xr-x
2016-04-05 23:15
README
677
B
-rw-r--r--
2016-02-05 10:48
S01apport
2.85
KB
-rwxr-xr-x
2025-07-11 17:07
S01lvm2-lvmetad
571
B
-rwxr-xr-x
2015-10-30 18:33
S01lvm2-lvmpolld
586
B
-rwxr-xr-x
2015-10-30 18:33
S01lxcfs
2.32
KB
-rwxr-xr-x
2017-11-09 02:43
S01lxd
2.48
KB
-rwxr-xr-x
2016-10-13 16:04
S01open-vm-tools
1.8
KB
-rwxr-xr-x
2018-03-22 13:13
S01rsyslog
2.73
KB
-rwxr-xr-x
2016-02-03 11:54
S01unattended-upgrades
1.36
KB
-rwxr-xr-x
2017-04-20 17:16
S01unscd
3.58
KB
-rwxr-xr-x
2015-12-03 19:28
S01uuidd
1.28
KB
-rwxr-xr-x
2016-05-27 01:30
S02apache2
7.9
KB
-rwxr-xr-x
2016-04-05 23:15
S03openvpn
10
KB
-rwxr-xr-x
2016-01-21 12:16
S04acpid
2.19
KB
-rwxr-xr-x
2016-02-09 23:43
S04atd
1.05
KB
-rwxr-xr-x
2015-12-06 16:45
S04cron
2.98
KB
-rwxr-xr-x
2016-04-05 23:59
S04dbus
2.75
KB
-rwxr-xr-x
2015-12-02 05:42
S04irqbalance
2.32
KB
-rwxr-xr-x
2016-04-11 19:39
S04mdadm
2.31
KB
-rwxr-xr-x
2017-10-09 15:47
S04mysql
5.48
KB
-rwxr-xr-x
2016-07-11 15:36
S04ntp
1.52
KB
-rwxr-xr-x
2017-09-05 17:24
S04rsync
4.25
KB
-rwxr-xr-x
2014-07-10 13:41
S04ssh
3.98
KB
-rwxr-xr-x
2016-04-28 02:46
S04thermald
1.13
KB
-rwxr-xr-x
2016-01-29 10:57
S05dovecot
5.12
KB
-rwxr-xr-x
2016-03-19 00:29
S06postfix
7.79
KB
-rwxr-xr-x
2017-10-25 14:50
S07grub-common
1.08
KB
-rwxr-xr-x
2016-03-15 19:08
S07ondemand
1.54
KB
-rwxr-xr-x
2015-10-16 04:45
S07plymouth
1.33
KB
-rwxr-xr-x
2015-11-15 13:55
S07rc.local
820
B
-rwxr-xr-x
2016-01-19 19:33
Save
Rename
#! /bin/sh ### BEGIN INIT INFO # Provides: rsyncd # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Should-Start: $named autofs # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: fast remote file copy program daemon # Description: rsync is a program that allows files to be copied to and # from remote machines in much the same way as rcp. # This provides rsyncd daemon functionality. ### END INIT INFO set -e # /etc/init.d/rsync: start and stop the rsync daemon DAEMON=/usr/bin/rsync RSYNC_ENABLE=false RSYNC_OPTS='' RSYNC_DEFAULTS_FILE=/etc/default/rsync RSYNC_CONFIG_FILE=/etc/rsyncd.conf RSYNC_PID_FILE=/var/run/rsync.pid RSYNC_NICE_PARM='' RSYNC_IONICE_PARM='' test -x $DAEMON || exit 0 . /lib/lsb/init-functions if [ -s $RSYNC_DEFAULTS_FILE ]; then . $RSYNC_DEFAULTS_FILE case "x$RSYNC_ENABLE" in xtrue|xfalse) ;; xinetd) exit 0 ;; *) log_failure_msg "Value of RSYNC_ENABLE in $RSYNC_DEFAULTS_FILE must be either 'true' or 'false';" log_failure_msg "not starting rsync daemon." exit 1 ;; esac case "x$RSYNC_NICE" in x[0-9]|x1[0-9]) RSYNC_NICE_PARM="--nicelevel $RSYNC_NICE";; x) ;; *) log_warning_msg "Value of RSYNC_NICE in $RSYNC_DEFAULTS_FILE must be a value between 0 and 19 (inclusive);" log_warning_msg "ignoring RSYNC_NICE now." ;; esac case "x$RSYNC_IONICE" in x-c[123]*) RSYNC_IONICE_PARM="$RSYNC_IONICE";; x) ;; *) log_warning_msg "Value of RSYNC_IONICE in $RSYNC_DEFAULTS_FILE must be -c1, -c2 or -c3;" log_warning_msg "ignoring RSYNC_IONICE now." ;; esac fi export PATH="${PATH:+$PATH:}/usr/sbin:/sbin" rsync_start() { if [ ! -s "$RSYNC_CONFIG_FILE" ]; then log_failure_msg "missing or empty config file $RSYNC_CONFIG_FILE" log_end_msg 1 exit 0 fi # See ionice(1) if [ -n "$RSYNC_IONICE_PARM" ] && [ -x /usr/bin/ionice ] && /usr/bin/ionice "$RSYNC_IONICE_PARM" true 2>/dev/null; then /usr/bin/ionice "$RSYNC_IONICE_PARM" -p$$ > /dev/null 2>&1 fi if start-stop-daemon --start --quiet --background \ --pidfile $RSYNC_PID_FILE --make-pidfile \ $RSYNC_NICE_PARM --exec $DAEMON \ -- --no-detach --daemon --config "$RSYNC_CONFIG_FILE" $RSYNC_OPTS then rc=0 sleep 1 if ! kill -0 $(cat $RSYNC_PID_FILE) >/dev/null 2>&1; then log_failure_msg "rsync daemon failed to start" rc=1 fi else rc=1 fi if [ $rc -eq 0 ]; then log_end_msg 0 else log_end_msg 1 rm -f $RSYNC_PID_FILE fi } # rsync_start case "$1" in start) if "$RSYNC_ENABLE"; then log_daemon_msg "Starting rsync daemon" "rsync" if [ -s $RSYNC_PID_FILE ] && kill -0 $(cat $RSYNC_PID_FILE) >/dev/null 2>&1; then log_progress_msg "apparently already running" log_end_msg 0 exit 0 fi rsync_start else if [ -s "$RSYNC_CONFIG_FILE" ]; then [ "$VERBOSE" != no ] && log_warning_msg "rsync daemon not enabled in $RSYNC_DEFAULTS_FILE, not starting..." fi fi ;; stop) log_daemon_msg "Stopping rsync daemon" "rsync" start-stop-daemon --stop --quiet --oknodo --pidfile $RSYNC_PID_FILE log_end_msg $? rm -f $RSYNC_PID_FILE ;; reload|force-reload) log_warning_msg "Reloading rsync daemon: not needed, as the daemon" log_warning_msg "re-reads the config file whenever a client connects." ;; restart) set +e if $RSYNC_ENABLE; then log_daemon_msg "Restarting rsync daemon" "rsync" if [ -s $RSYNC_PID_FILE ] && kill -0 $(cat $RSYNC_PID_FILE) >/dev/null 2>&1; then start-stop-daemon --stop --quiet --oknodo --pidfile $RSYNC_PID_FILE || true sleep 1 else log_warning_msg "rsync daemon not running, attempting to start." rm -f $RSYNC_PID_FILE fi rsync_start else if [ -s "$RSYNC_CONFIG_FILE" ]; then [ "$VERBOSE" != no ] && log_warning_msg "rsync daemon not enabled in $RSYNC_DEFAULTS_FILE, not starting..." fi fi ;; status) status_of_proc -p $RSYNC_PID_FILE "$DAEMON" rsync exit $? # notreached due to set -e ;; *) echo "Usage: /etc/init.d/rsync {start|stop|reload|force-reload|restart|status}" exit 1 esac exit 0